Complaint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class Complaint

    java.lang.Object
      com.fenalco.entities.Complaint

    public class Complaint

extends java.lang.Object

Representa un reclamo

Field Summary
`private int` | `categoryId` Identificador de la categoria a la cual pertenece el reclamo
`private java.lang.String` | `categoryName` Nombre de lca categoria a la cual pertenece el reclamo
`private java.lang.String` | `content` El contenido del reclamo
`private java.sql.Date` | `date` Fecha en la que se hace el reclamo
`private java.lang.String` | `destinationEmail` Dirección de correo electrónico a donde se va a dirigir el reclamo
`private int` | `id` Identificador del reclamo
`private java.lang.String` | `userId` Identificador del usuario que hace el reclamo (login)
`private java.lang.String` | `userName` Nombre del usuario que hace el reclamo

Constructor Summary
`Complaint()` Constructor por omisión, crea un reclamo vacio
`Complaint(int id)` Constructor que recibe el identificador del reclamo y llama al método loadData para que cargue la información del reclamo de la base de datos

Method Summary
`boolean` | `delete(Transaction transaction)` Elimina la información del un reclamo en la base de datos creando el sql y adicionandolo a la transacción con el método `addSql`
`int` | `getCategoryId()` Getter para el atributo categoryId.
`java.lang.String` | `getCategoryName()` Getter para el atributo categoryName.
`java.lang.String` | `getContent()` Getter for property content.
`java.sql.Date` | `getDate()` Getter para el atributo date.
`java.lang.String` | `getDestinationEmail()` Getter para el atributo destinationEmail.
`int` | `getId()` Getter para el atributo id.
`java.lang.String` | `getUserId()` Getter para el atributo userId.
`java.lang.String` | `getUserName()` Getter para el atributo userName.
`boolean` | `loadData(int id)` Carga la información del reclamo de la base de datos a partir del identificador
`boolean` | `saveData(Transaction transaction)` Almacena la información del reclamo en la base de datos creando el sql y adicionandolo a la transacción con el método `addSql`
`void` | `setCategoryId(int categoryId)` Setter para el atributo categoryId.
`void` | `setCategoryName(java.lang.String categoryName)` Setter para el atributo categoryName.
`void` | `setContent(java.lang.String content)` Setter for property content.
`void` | `setDate(java.sql.Date date)` Setter para el atributo date.
`void` | `setDestinationEmail(java.lang.String destinationEmail)` Setter para el atributo destinationEmail.
`void` | `setId(int id)` Setter para el atributo id.
`void` | `setUserId(java.lang.String userId)` Setter para el atributo userId.
`void` | `setUserName(java.lang.String userName)` Setter para el atributo userName.
`boolean` | `submit()` Envia el correo con el reclamo a la dirección respectiva
`boolean` | `submitComplaint(Transaction transaction)` registra el nuevo reclamo que se ha generado, para ello hace lo siguiente: 1. llama al método saveData para almacenar el reclamo en la base de datos 2. llama al método submit para enviar el correo a quien corresponda
`boolean` | `update(Transaction transaction)` Actualiza la información del un reclamo en la base de datos creando el sql y adicionandolo a la transacción con el método `addSql`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    private int id

  Identificador del reclamo

### categoryId

    private int categoryId

  Identificador de la categoria a la cual pertenece el reclamo

### categoryName

    private java.lang.String categoryName

  Nombre de lca categoria a la cual pertenece el reclamo

### destinationEmail

    private java.lang.String destinationEmail

  Dirección de correo electrónico a donde se va a dirigir el reclamo

### date

    private java.sql.Date date

  Fecha en la que se hace el reclamo

### userId

    private java.lang.String userId

  Identificador del usuario que hace el reclamo (login)

### userName

    private java.lang.String userName

  Nombre del usuario que hace el reclamo

### content

    private java.lang.String content

  El contenido del reclamo

Constructor Detail

### Complaint

    public Complaint()

  Constructor por omisión, crea un reclamo vacio

### Complaint

    public Complaint(int id)

  Constructor que recibe el identificador del reclamo y llama al método loadData para que cargue la información del reclamo de la base de datos

  Parameters:
    `id` - Identificador del reclamo

Method Detail

### loadData

    public boolean loadData(int id)

  Carga la información del reclamo de la base de datos a partir del identificador

  Parameters:
    `id` - Identificador del reclamo para buscarlo en la base de datos
  Returns:
    booleano que indica si se pudo cargar la información o no

### saveData

    public boolean saveData(Transaction transaction)

  Almacena la información del reclamo en la base de datos creando el sql y adicionandolo a la transacción con el método `addSql`

  Parameters:
    `transaction` - Transacción que se está ejecutando
  Returns:
    booleano que indica si se pudo almancenar la información o no

### update

    public boolean update(Transaction transaction)

  Actualiza la información del un reclamo en la base de datos creando el sql y adicionandolo a la transacción con el método `addSql`

  Parameters:
    `transaction` - Transacción que se está ejecutando
  Returns:
    booleano que indica si se pudo actualizar la información o no

### delete

    public boolean delete(Transaction transaction)

  Elimina la información del un reclamo en la base de datos creando el sql y adicionandolo a la transacción con el método `addSql`

  Parameters:
    `transaction` - La transacción actual
  Returns:
    Booleano que indica si se pudo eliminar o no el registro

### submitComplaint

    public boolean submitComplaint(Transaction transaction)

  registra el nuevo reclamo que se ha generado, para ello hace lo siguiente: 1. llama al método saveData para almacenar el reclamo en la base de datos 2. llama al método submit para enviar el correo a quien corresponda

  Parameters:
    `transaction` - Transacción que se está ejecutando
  Returns:
    booleano que indica si se pudo registrar el reclamo o no

### submit

    public boolean submit()

  Envia el correo con el reclamo a la dirección respectiva

  Returns:
    booleano que indica si se pudo enviar el correo con el reclamo o no

### getId

    public int getId()

  Getter para el atributo id.

  Returns:
    valor del atributo id.

### setId

    public void setId(int id)

  Setter para el atributo id.

  Parameters:
    `id` - nuevo valor del atributo id.

### getCategoryId

    public int getCategoryId()

  Getter para el atributo categoryId.

  Returns:
    valor del atributo categoryId.

### setCategoryId

    public void setCategoryId(int categoryId)

  Setter para el atributo categoryId.

  Parameters:
    `categoryId` - nuevo valor del atributo categoryId.

### getCategoryName

    public java.lang.String getCategoryName()

  Getter para el atributo categoryName.

  Returns:
    valor del atributo categoryName.

### setCategoryName

    public void setCategoryName(java.lang.String categoryName)

  Setter para el atributo categoryName.

  Parameters:
    `categoryName` - nuevo valor del atributo categoryName.

### getDestinationEmail

    public java.lang.String getDestinationEmail()

  Getter para el atributo destinationEmail.

  Returns:
    valor del atributo destinationEmail.

### setDestinationEmail

    public void setDestinationEmail(java.lang.String destinationEmail)

  Setter para el atributo destinationEmail.

  Parameters:
    `destinationEmail` - nuevo valor del atributo destinationEmail.

### getDate

    public java.sql.Date getDate()

  Getter para el atributo date.

  Returns:
    valor del atributo date.

### setDate

    public void setDate(java.sql.Date date)

  Setter para el atributo date.

  Parameters:
    `date` - nuevo valor del atributo date.

### getUserId

    public java.lang.String getUserId()

  Getter para el atributo userId.

  Returns:
    valor del atributo userId.

### setUserId

    public void setUserId(java.lang.String userId)

  Setter para el atributo userId.

  Parameters:
    `userId` - nuevo valor del atributo userId.

### getUserName

    public java.lang.String getUserName()

  Getter para el atributo userName.

  Returns:
    valor del atributo userName.

### setUserName

    public void setUserName(java.lang.String userName)

  Setter para el atributo userName.

  Parameters:
    `userName` - nuevo valor del atributo userName.

### getContent

    public java.lang.String getContent()

  Getter for property content.

  Returns:
    Value of property content.

### setContent

    public void setContent(java.lang.String content)

  Setter for property content.

  Parameters:
    `content` - New value of property content.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD